searchNodes=[{"ref":"SmartCity.Events.html","title":"SmartCity.Events","type":"module","doc":"Defines macros for encoding event types the Smart City platform will respond to in any of the various micro service components in a central location shared by all components."},{"ref":"SmartCity.Events.html#file_uploaded/0","title":"SmartCity.Events.file_uploaded/0","type":"macro","doc":"Signals that a new file has been uploaded to the object store and made available for the rest of the system."},{"ref":"SmartCity.Events.html#update_dataset/0","title":"SmartCity.Events.update_dataset/0","type":"macro","doc":"Defines an update event to a dataset within the system. The system treats create events as a subset of updates."},{"ref":"SmartCity.Events.html#update_organization/0","title":"SmartCity.Events.update_organization/0","type":"macro","doc":"Defines an update event to an organization within the system. The system treats create events as a subset of updates."},{"ref":"SmartCity.Events.FileUploaded.html","title":"SmartCity.Events.FileUploaded","type":"module","doc":"Defines the information needed to process uploaded files by components of the system including the files&#39; type, parent identifier, and location info."},{"ref":"SmartCity.Events.FileUploaded.html#type/1","title":"SmartCity.Events.FileUploaded.type/1","type":"function","doc":"Standardize file type definitions by deferring to the official media type of the file based on a supplied extension."},{"ref":"SmartCity.Events.FileUploaded.html#t:bucket/0","title":"SmartCity.Events.FileUploaded.bucket/0","type":"type","doc":""},{"ref":"SmartCity.Events.FileUploaded.html#t:extension/0","title":"SmartCity.Events.FileUploaded.extension/0","type":"type","doc":""},{"ref":"SmartCity.Events.FileUploaded.html#t:id/0","title":"SmartCity.Events.FileUploaded.id/0","type":"type","doc":""},{"ref":"SmartCity.Events.FileUploaded.html#t:key/0","title":"SmartCity.Events.FileUploaded.key/0","type":"type","doc":""},{"ref":"SmartCity.Events.FileUploaded.html#t:mime_type/0","title":"SmartCity.Events.FileUploaded.mime_type/0","type":"type","doc":""},{"ref":"SmartCity.Events.FileUploaded.html#t:t/0","title":"SmartCity.Events.FileUploaded.t/0","type":"type","doc":""},{"ref":"SmartCity.Helpers.html","title":"SmartCity.Helpers","type":"module","doc":"Functions used across SmartCity modules."},{"ref":"SmartCity.Helpers.html#deep_merge/2","title":"SmartCity.Helpers.deep_merge/2","type":"function","doc":"Merges two maps into one, including sub maps. Matching keys from the right map will override their corresponding key in the left map."},{"ref":"SmartCity.Helpers.html#to_atom_keys/1","title":"SmartCity.Helpers.to_atom_keys/1","type":"function","doc":"Convert a map with string keys to one with atom keys. Will convert keys nested in a sub-map or a map that is part of a list. Ignores atom keys. Examples iex&gt; SmartCity.Helpers.to_atom_keys(%{&quot;abc&quot; =&gt; 123}) %{abc: 123} iex&gt; SmartCity.Helpers.to_atom_keys(%{&quot;a&quot; =&gt; %{&quot;b&quot; =&gt; &quot;c&quot;}}) %{a: %{b: &quot;c&quot;}} iex&gt; SmartCity.Helpers.to_atom_keys(%{&quot;a&quot; =&gt; [%{&quot;b&quot; =&gt; &quot;c&quot;}]}) %{a: [%{b: &quot;c&quot;}]}"},{"ref":"readme.html","title":"SmartCity","type":"extras","doc":"SmartCity This library defines helper functions that are used across SmartCity modules."},{"ref":"readme.html#installation","title":"SmartCity - Installation","type":"extras","doc":"def deps do [ {:smart_city, &quot;~&gt; 2.3.0&quot;} ] end"},{"ref":"readme.html#basic-usage","title":"SmartCity - Basic Usage","type":"extras","doc":"iex&gt; SmartCity.Helpers.to_atom_keys(%{&quot;a&quot; =&gt; 1, &quot;b&quot; =&gt; 2, &quot;c&quot; =&gt; 3}) %{a: 1, b: 2, c: 3} iex&gt; SmartCity.Helpers.to_atom_keys(%{&quot;a&quot; =&gt; %{&quot;b&quot; =&gt; &quot;c&quot;}}) %{a: %{b: &quot;c&quot;}} iex&gt; SmartCity.Helpers.deep_merge(%{a: 1, b: 2}, %{a: 3, c: 4}) %{a: 3, b: 2, c: 4} Full documentation can be found at https://hexdocs.pm/smart_city/api-reference.html."},{"ref":"readme.html#contributing","title":"SmartCity - Contributing","type":"extras","doc":"The build process runs these commands: mix local.rebar --force mix local.hex --force mix deps.get mix format --check-formatted mix credo mix test"},{"ref":"readme.html#license","title":"SmartCity - License","type":"extras","doc":"SmartCity is released under the Apache 2.0 license - see the license at http://www.apache.org/licenses/LICENSE-2.0"}]